<?php

namespace LakeDrops\DrupalConfig;

use Composer\Installers\BaseInstaller;

/**
 * Overrides the Drupal installer with LakeDrops locations.
 */
class DrupalInstaller extends BaseInstaller {

  /**
   * The locations.
   *
   * @var array<string, string>
   */
  protected $locations = [
    'core' => 'web/core/',
    'module' => 'web/modules/contrib/{$name}/',
    'profile' => 'web/profiles/contrib/{$name}/',
    'recipe' => 'web/recipes/contrib/{$name}/',
    'theme' => 'web/themes/contrib/{$name}/',
    'library' => 'web/libraries/{$name}/',
    'drush' => 'drush/Commands/{$name}/',
    'custom-module' => 'web/modules/custom/{$name}/',
    'custom-profile' => 'web/profiles/custom/{$name}/',
    'custom-recipe' => 'web/recipes/custom/{$name}/',
    'custom-theme' => 'web/themes/custom/{$name}/',
    'drupal-multisite' => 'web/sites/{$name}/',
  ];

}
